MKRESCUE(8)

BEZEICHNUNG
mkrescue - erzeugt eine bootfähige Rettungsdiskette oder -CD

ÜBERSICHT
/sbin/mkrescue erzeugt ein bootfähiges Rettungsmedium (Diskette oder CD) und verwendet dafür den in lilo.conf festgelegten Standard-Kernel.

BESCHREIBUNG
mkrescue entnimmt die Spezifikation für den Kernel dem in /etc/lilo.conf angegebenen Standard-Image. Wenn der tatsächliche Standardwert eine other=-Spezifikation ist, wird es die erste image=-Spezifikation auswählen. Die damit verbundene »Initial Ramdisk« (initrd=) und die zugehörigen append=-Optionen werden ebenfalls verwendet. Als Root-Verzeichnis wird das aktuelle Root-Verzeichnis gewählt. Mit lilo 22.5.5 wird eine bootfähige Diskette oder ein CD-Image erzeugt. mkrescue erfordert normalerweise keine Optionen. Wünschen Sie ein CD-Image, verwenden Sie --iso.

OPTIONEN

--append <Zeichenkette>
    überschreibt alle aus dem Standard-Image entnommenen append=-Optionen. Wenn es irgendeinen Zweifel gibt, ob die Optionen in lilo.conf korrekt sind, dann übergeben Sie keine Kernel-Parameter. Dazu übergeben Sie die leere Zeichenkette: --append "".

--debug
    bewirkt eine ausführliche Ausgabe von mkrescue und macht eine Pause, damit die Einstellungen der internen Betriebsparameter geprüft werden können. Es muss »<CR>« eingegeben werden, um diese Pausen zu beenden.

--device <Gerät>
    erstellt die Diskette auf einem anderen Gerät als /dev/fd0. Die Diskette wird unabhängig von dem Laufwerk, auf dem Sie erstellt wurde, immer von Laufwerk A: (BIOS-Gerätecode 0x00) starten.

--fast
    verwendet eine schnellere Methode zur Erstellung der Boot-Diskette. Dazu wird zunächst eine Datei von --size (Standard ist 1440) 1k-Blöcken in einem Loopback-Gerät eingehängt, anschließend die bootfähige Diskette erzeugt und abschließend die gesamte Datei auf die Diskette kopiert.

--fs [ ext2 | msdos | minix ]
    legt den Typ des auf dem Laufwerk zu erstellenden Dateisystems fest; ext2 ist der Standard, aber msdos und minix ermöglichen etwas mehr Sektoren für wirklich große Kernel.

--help
    Ausgabe einer kurzen Gebrauchsanleitung einschließlich einer Liste von Befehlsoptionen

--image <Name>
    gibt den Namen oder den Alias des jeweiligen Kernel-Abbildes an, aus dem die Information über an den Kernel zu übergebende Parameter (append), Initial Ramdisk, Dateisystemwurzel, Tastatur und Kernel-Informationen gewonnen werden.

--initrd <Dateipfad> und --kernel <Dateipfad>
    Diese Optionen müssen gemeinsam benutzt werden. Sie ermöglichen die Spezifikation je einer beliebigen Kernel- und Initial-Ramdisk-Datei, die auf der zu erstellenden Boot-Diskette verwendet werden sollen. Stellen Sie sicher, dass Sie wissen, was Sie tun, bevor Sie diese Optionen verwenden. Wenn keine Initial Ramdisk mit einem bestimmten Kernel benötigt wird, dann MÜSSEN Sie --initrd "" angeben, also einen leeren Pfadnamen.

--install [ text | menu ]
    ermöglicht das Überschreiben der Standard-Schnittstelle des Rettungs-Boot-Loaders zum menschlichen Bediener (Konfigurationsdateioption »install=«). »text« ist die Voreinstellung für 1,2MB- und 1,44MB-Disketten; »menu« ist die Voreinstellung für 2,88MB-Disketten und die Festplatten-Emulation auf CD-R-Medien.

--iso
    erstellt ein bootfähiges CD-Image nach ISO-9660 (El-Torito-Format) für das Brennen auf eine CD-R oder CD-RW. Der Standardwert für die --device-Spezifikation ist der Dateiname rescue.iso; die Standardgröße --size ist gleich 2880. Sie können mit einem Brennprogramm wie wodim die ISO-Datei auf ein beschreibbares CD-Medium schreiben. Mit dieser Option können sie auch --size HD verwenden.

--nocompact
    Damit der Kernel schneller von einer Diskette geladen wird, ist gewöhnlich die Map-Komprimierung (map compaction) aktiviert. Diese Option wird die Map-Komprimierung durch Weglassen des Lilo-Schalters -c deaktivieren.

--noformat
    unterdrückt die Erzeugung eines neuen Dateisystems auf der Boot-Diskette. Diese Option kann NUR dann verwendet werden, wenn Sie sicher sind, das die zu beschreibende Diskette bereits mit dem durch --fs XXX festgelegten Dateisystem (Vorgabewert ist ext2) formatiert ist.

--root <Gerät>
    legt das Wurzeldateisystem für den Kernel auf der Boot-Diskette fest. Die aktuell eingehängte Dateisystemwurzel wird als Standardwert verwendet.

--size [ 1440 | 1200 | 2880 | HD ]
    Die Standarddiskettengröße ist 1440, also eine 1,44MB-Diskette. Wenn --iso angegeben wird, ist die Standardgröße 2880. Mögliche Werte sind 1200, 1440 oder 2880, denen 1.2MB-, 1.44MB- oder 2.88MB-Disketten entsprechen. Andere Diskettengrößen werden nicht unterstützt.

    Die Spezifikation HD (Festplatte) kann nur mit der Option --iso verwendet werden und bewirkt, dass eine 16MB-Festplatte emuliert wird. Damit können sehr große Kombinationen von Kernel und Ram-Disk auf CD-R geschrieben werden. Das Festplattenabbild wird unter Verwendung der Loopback-Geräte /dev/loop0 und /dev/loop1 erzeugt, die dafür verfügbar sein müssen.

--version
    Versionsnummer von mkrescue ausgeben und beenden

SIEHE AUCH
cdrecord(1), dd(1), wodim(1), lilo.conf(5), lilo(8), mkfs(8), mkinitrd(8), mkisofs(8), mount(8)

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Martin Eberhard Schauer <Martin.E.Schauer@gmx.de> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.